[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpUmask

Set file creation mask.

## Declaration

Source position: bunxh.inc line 31

`function FpUmask(`
`cmask: TMode`
`):TMode;`

## Description

fpUmask changes the file creation mask for the current user to cmask. The current mask is returned.

## See also

fpChmod |  | Change file permission bits

## Example

    Program Example27;

    { Program to demonstrate the Umask function. }

    Uses BaseUnix;

    begin
      Writeln ('Old Umask was : ',fpUmask(&111));
      WRiteln ('New Umask is  : ',&111);
    end.

Documentation generated on: Feb 26 2014